# Generated by Django 2.2.6 on 2019-11-06 08:25

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='TaskTag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=10, verbose_name='名称')),
                ('status', models.PositiveIntegerField(choices=[(1, '正常'), (0, '删除')], default=1, verbose_name='状态')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL, verbose_name='责任人')),
            ],
            options={
                'verbose_name': '标签',
                'verbose_name_plural': '标签',
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='TaskCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='名称')),
                ('status', models.PositiveIntegerField(choices=[(1, '正常'), (0, '删除')], default=1, verbose_name='状态')),
                ('is_nav', models.BooleanField(default=False, verbose_name='是否为导航')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL, verbose_name='责任人')),
            ],
            options={
                'verbose_name': '分类',
                'verbose_name_plural': '分类',
            },
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('issue_no', models.CharField(max_length=255, verbose_name='问题代号')),
                ('task_no', models.CharField(max_length=255, verbose_name='任务代号')),
                ('task_content', models.CharField(blank=True, max_length=1024, verbose_name='待办事宜')),
                ('follower', models.CharField(max_length=255, verbose_name='跟踪人')),
                ('responsible', models.CharField(max_length=255, verbose_name='任务责任人')),
                ('raised_date', models.DateField(auto_now=True, verbose_name='提出日期')),
                ('target_date', models.DateField(verbose_name='目标日期')),
                ('closed_date', models.DateField(verbose_name='关闭日期')),
                ('task_status', models.PositiveIntegerField(choices=[(3, 'R'), (2, 'Y'), (1, 'G')], default=2, verbose_name='任务状态')),
                ('task_comments', models.TextField(help_text='正文必须为MarkDown格式', verbose_name='正文')),
                ('content_html', models.TextField(blank=True, editable=False, verbose_name='正文html代码')),
                ('status', models.PositiveIntegerField(choices=[(1, '正常'), (0, '删除'), (2, '草稿')], default=1, verbose_name='状态')),
                ('is_md', models.BooleanField(default=False, verbose_name='markdown语法')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('pv', models.PositiveIntegerField(default=1)),
                ('uv', models.PositiveIntegerField(default=1)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='task.TaskCategory', verbose_name='分类')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL, verbose_name='责任人')),
                ('tag', models.ManyToManyField(to='task.TaskTag', verbose_name='标签')),
            ],
            options={
                'verbose_name': '任务',
                'verbose_name_plural': '任务',
                'ordering': ['-id'],
            },
        ),
    ]
